package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Completed_or_archiveRepository;
import com.realnet.vpspack.Entity.Completed_or_archive
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;














	import org.springframework.stereotype.Service;

@Service
 public class Completed_or_archiveService {
@Autowired
private Completed_or_archiveRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;













public Completed_or_archive Savedata(Completed_or_archive data) {














	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Completed_or_archive save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Completed_or_archive> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Completed_or_archive> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Completed_or_archive> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Completed_or_archive getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Completed_or_archive update(Completed_or_archive data,Integer id) {
	Completed_or_archive old = Repository.findById(id).get();
old.setFull_name(data.getFull_name());

old.setApplication_code(data.getApplication_code());

old.setNationality(data.getNationality());

old.setNumber_field(data.getNumber_field());

old.setReset_btn(data.getReset_btn());

old.setFilter_btn(data.getFilter_btn());

old.setCompleted_or_archive_child(data.getCompleted_or_archive_child());

final Completed_or_archive test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 














 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
